Subject: Re: [Netconf] Adam Roach's Discuss on draft-ietf-netconf-zerotouch-25: (with DISCUSS and COMMENT)

From: Kent Watsen <[email-masked]>
Date: Wed, 5 Dec 2018 23:18:20 +0000

Hi Adam,

Thanks for your review!
See below for responses.

PS: please excuse my company's URL-mangler

Kent // principle author

-----Original Message-----
From: Adam Roach <[email-masked]>
Date: Thursday, November 29, 2018 at 5:16 PM
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Mahesh Jethanandani <[email-masked]>, Bert Wijnen <[email-masked]>, Bert Wijnen <[email-masked]>, "[email-masked]" <[email-masked]>, Mahesh Jethanandani <[email-masked]>, NETCONF Working Group <[email-masked]>
Subject: Adam Roach's Discuss on draft-ietf-netconf-zerotouch-25: (with DISCUSS and COMMENT)
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, November 29, 2018 at 5:15 PM

Adam Roach has entered the following ballot position for
draft-ietf-netconf-zerotouch-25: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=o1CfW34PbeD384SlqR47Hg58JfEjnlRgLGHm2t6NgT4&s=b2vktVbwlcJsfylRn4fpUiqWNe5_BvxJYF-PV0hu1KU&e=
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dnetconf-2Dzerotouch_&d=DwIDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=o1CfW34PbeD384SlqR47Hg58JfEjnlRgLGHm2t6NgT4&s=Z-P7iRWGtw5yRlFUScd-NamM-VuIcEobGUhfuaf9FsI&e=

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

> Thanks to everyone who worked on this document. I have one concern that I'd like
> to discuss before the document is published. It's possible that I'm mistaken
> about the way this is intended to work -- don't be shy about telling me I'm
> wrong.
>
> §4.2:
>
>>  To use a DNS server as a source of bootstrapping data, a device MAY
>>  perform a multicast DNS [RFC6762] query searching for the service
>>  "_zerotouch._tcp.local.".  Alternatively the device MAY perform DNS-
>>  SD [RFC6763] via normal DNS operation, using the domain returned to
>>  it from the DHCP server; for example, searching for the service
>>  "_zerotouch._tcp.example.com".
>
> RFC 6763 §4.1.2 defers to RFC 2782 for the structure of DNS-SD records; 
> and RFC 2782 indicates that these are of the format "_service._proto.name".
> In this case, "service" is one of the services registered with IANA at
> https://www.iana.org/assignments/service-names-port-numbers/service-names-\
> port-numbers.xhtml.  The service "zerotouch" is not registered in that
> registry, nor does this document register it there.
>
> Unless I'm confused about the way SRV records are intended to work, this
> document needs to register "zerotouch" in the service name table indicated
> above.

You are quite right.  Here is the Github commit to add an IANA registration
for the "zerotouch" service:  https://github.com/netconf-wg/zero-touch/commit/6280763339a3e91b9efb21703b26a6bdbf05349b.

Please let me know if you suggest any further changes.  

PS: I'm aware of Ben's comment regarding "zerotouch" being perhaps too
    generic.  I will likely change it to "sztp" to address this concern.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

> §4.2:
>
>>  Please see
>>  Section 3.1.3 in RFC4408 for how a TXT record can achieve this size.
>
> Please make this a citation instead of merely a mention of RFC 4408.

Fixed in my local copy.

Kent